gsw_enthalpy_ice {gsw} | R Documentation

## Ice Specific Enthalpy

### Description

Specific enthalpy of ice [ J/kg ]. Note that this is a negative quantity.

### Usage

    gsw_enthalpy_ice(t, p)

### Arguments

`t` | in-situ temperature (ITS-90) [ degC ]
`p` | sea pressure [dbar], i.e. absolute pressure [dbar] minus 10.1325 dbar

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

specific enthalpy [ J/kg ]

### References

http://www.teos-10.org/pubs/gsw/html/gsw_enthalpy_ice.html

### See Also

Other things related to enthalpy: `gsw_CT_from_enthalpy`, `gsw_dynamic_enthalpy`, `gsw_enthalpy_CT_exact`, `gsw_enthalpy_diff`, `gsw_enthalpy_first_derivatives_CT_exact`, `gsw_enthalpy_first_derivatives`, `gsw_enthalpy_t_exact`, `gsw_enthalpy`, `gsw_frazil_properties_potential_poly`, `gsw_frazil_properties_potential`, `gsw_pot_enthalpy_from_pt_ice_poly`, `gsw_pot_enthalpy_from_pt_ice`, `gsw_pot_enthalpy_ice_freezing_poly`, `gsw_pot_enthalpy_ice_freezing`, `gsw_pt_from_pot_enthalpy_ice_poly`, `gsw_pt_from_pot_enthalpy_ice`, `gsw_specvol_first_derivatives_wrt_enthalpy`, `gsw_specvol_first_derivatives`

### Examples

    t <- c(-10.7856, -13.4329, -12.8103, -12.2600, -10.8863, -8.4036)
    p <-  c(     10,      50,     125,     250,     600,    1000)
    se <- gsw_enthalpy_ice(t, p)
    expect_equal(se/1e5, c(-3.554414597446597, -3.603380857687490, -3.583089884253586,
                         -3.558998379233944, -3.494811024956881, -3.402784319238127))

[Package gsw version 1.0-5 Index]